<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemMicroStationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemMicroStation">
        <id column="id" property="id" />
        <result column="branch_name" property="branchName" />
        <result column="squadron" property="squadron" />
        <result column="station_name" property="stationName" />
        <result column="company_nature" property="companyNature" />
        <result column="address" property="address" />
        <result column="location" property="location" />
        <result column="fixed_phone" property="fixedPhone" />
        <result column="charge_name" property="chargeName" />
        <result column="charge_phone" property="chargePhone" />
        <result column="remark" property="remark" />
        <result column="station_type" property="stationType" />
        <result column="longitude" property="longitude" />
        <result column="dimension" property="dimension" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="branch_id" property="branchId" />
        <result column="squadron_id" property="squadronId" />
        <result column="number" property="number" />
        <result column="call_status" property="callStatus" />
        <result column="belong_flag" property="belongFlag" />
        <result column="call_period" property="callPeriod" />
        <result column="primary_company_nature" property="primaryCompanyNature" />
        <result column="delete_flag" property="deleteFlag" />
    </resultMap>

</mapper>
